Page MenuHomeFreeBSD

Update default GEM_NAME
ClosedPublic

Authored by sunpoet on Jan 19 2017, 7:40 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Apr 20, 2:56 PM
Unknown Object (File)
Fri, Apr 19, 10:19 AM
Unknown Object (File)
Fri, Apr 19, 10:19 AM
Unknown Object (File)
Fri, Apr 19, 10:05 AM
Unknown Object (File)
Sat, Apr 13, 10:51 PM
Unknown Object (File)
Fri, Apr 12, 11:20 AM
Unknown Object (File)
Mar 12 2024, 6:27 AM
Unknown Object (File)
Dec 25 2023, 9:57 AM
Subscribers

Details

Reviewers
sunpoet
swills
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
Ruby
portmgr
Commits
rP432064: Update default GEM_NAME
Summary

Change default GEM_NAME from ${PORTNAME}-${PORTVERSION} to ${DISTNAME} to avoid unnecessary GEM_NAME setting in ports Makefile.

Test Plan

exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 6889
Build 7080: arc lint + arc unit

Event Timeline

sunpoet retitled this revision from to Update default GEM_NAME.
sunpoet updated this object.
sunpoet edited the test plan for this revision. (Show Details)
sunpoet added a reviewer: Ruby.

This was committed, please close the review or I guess I'll have to commandeer it and then close it.

I cannot close it due to lack for portmgr approval here.

Seems pointless to approve after it was committed, but if it allows the change to be closed, fine.

This revision is now accepted and ready to land.Apr 18 2017, 1:38 PM